List unique clients related to an alert (direct + via transactions)
curl --request POST \
--url https://api.artu.ai/alerts/{alertId}/clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"isPrimary": true,
"age": 123,
"name": "<string>",
"lastName": "<string>",
"email": "<string>",
"externalId": "<string>",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": [
"<string>"
],
"levelNin": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<string>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {}
}
}
},
"alertItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": true,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {}
}
}
}
},
"alertItemHasErrors": true
},
"sort": [
{}
],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": true
}
'import requests
url = "https://api.artu.ai/alerts/{alertId}/clients"
payload = {
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"isPrimary": True,
"age": 123,
"name": "<string>",
"lastName": "<string>",
"email": "<string>",
"externalId": "<string>",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": ["<string>"],
"levelNin": ["<string>"]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopeData": { "MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": { "username": "<string>" },
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {} }
} },
"alertItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": True,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {} }
} }
},
"alertItemHasErrors": True
},
"sort": [{}],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
search: '<string>',
isPrimary: true,
age: 123,
name: '<string>',
lastName: '<string>',
email: '<string>',
externalId: '<string>',
metadataFilters: [{key: '<string>', value: '<string>'}],
riskAssessment: {
name: '<string>',
eq: 123,
gt: 123,
gte: 123,
lt: 123,
lte: 123,
levelIn: ['<string>'],
levelNin: ['<string>']
},
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
tagIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scopeData: {
MX: {
rfc: '<string>',
curp: '<string>',
actividadVulnerable: {
ARI: {},
AVI: {username: '<string>'},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {}}
}
},
alertItem: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
alertId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
transactionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hasErrors: true,
clientNames: '<string>',
transactionAmount: 123,
transactionCurrency: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
alertDescription: '<string>',
ARI: {},
AVI: {},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {}}
}
}
},
alertItemHasErrors: true
},
sort: [{}],
cursor: '<string>',
offset: 4503599627370495,
limit: 20,
includeTotalCount: true
})
};
fetch('https://api.artu.ai/alerts/{alertId}/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/alerts/{alertId}/clients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'search' => '<string>',
'isPrimary' => true,
'age' => 123,
'name' => '<string>',
'lastName' => '<string>',
'email' => '<string>',
'externalId' => '<string>',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'riskAssessment' => [
'name' => '<string>',
'eq' => 123,
'gt' => 123,
'gte' => 123,
'lt' => 123,
'lte' => 123,
'levelIn' => [
'<string>'
],
'levelNin' => [
'<string>'
]
],
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'tagIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'scopeData' => [
'MX' => [
'rfc' => '<string>',
'curp' => '<string>',
'actividadVulnerable' => [
'ARI' => [
],
'AVI' => [
'username' => '<string>'
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
]
]
]
],
'alertItem' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'alertId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'transactionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hasErrors' => true,
'clientNames' => '<string>',
'transactionAmount' => 123,
'transactionCurrency' => '<string>',
'transactionDate' => '2023-11-07T05:31:56Z',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'alertDescription' => '<string>',
'ARI' => [
],
'AVI' => [
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
]
]
]
]
],
'alertItemHasErrors' => true
],
'sort' => [
[
]
],
'cursor' => '<string>',
'offset' => 4503599627370495,
'limit' => 20,
'includeTotalCount' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/alerts/{alertId}/clients"
payload := strings.NewReader("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"isPrimary\": true,\n \"age\": 123,\n \"name\": \"<string>\",\n \"lastName\": \"<string>\",\n \"email\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/alerts/{alertId}/clients")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"isPrimary\": true,\n \"age\": 123,\n \"name\": \"<string>\",\n \"lastName\": \"<string>\",\n \"email\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/alerts/{alertId}/clients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"isPrimary\": true,\n \"age\": 123,\n \"name\": \"<string>\",\n \"lastName\": \"<string>\",\n \"email\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": true,
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
},
"email": "<string>",
"phone": "<string>",
"age": 0,
"addresses": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {
"localidad": "<unknown>"
}
}
},
"US": "<unknown>"
}
}
],
"contactMethods": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "MX",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"documents": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"linkedClients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationshipType": "legal_representative",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [
null
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": "<unknown>",
"employeeId": "<unknown>",
"position": "<unknown>",
"department": "<unknown>",
"startDate": "<unknown>"
},
"scopeData": {
"MX": "<unknown>",
"US": "<unknown>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"alertItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertItemValidationErrors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>",
"severity": "error",
"resource": "alert",
"resourceId": "<string>",
"label": "<string>",
"sdkField": "<string>",
"parentClientId": "<string>"
}
],
"alertItemScopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"amendment": {
"originalReference": "<string>",
"reason": "<string>"
},
"ARI": {
"alertType": "100"
},
"AVI": {
"alertType": "100"
},
"INM": {
"alertType": "100"
},
"JYS": {
"alertType": "100"
},
"MJR": {
"alertType": "100"
},
"MPC": {
"alertType": "100"
},
"TSC": {
"alertType": "100"
},
"VEH": {
"alertType": "100"
}
},
"cnbv": {
"TRANSMISOR": {
"fechaDeteccion": "2023-11-07T05:31:56Z",
"descripcionOperacion": "<string>",
"razones": "<string>"
}
}
},
"US": "<unknown>"
},
"alertItemMetadata": {},
"alertItemCreatedAt": "2023-11-07T05:31:56Z",
"linkedTransactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 0
}
}Alerts
List unique clients related to an alert (direct + via transactions)
POST
/
alerts
/
{alertId}
/
clients
List unique clients related to an alert (direct + via transactions)
curl --request POST \
--url https://api.artu.ai/alerts/{alertId}/clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"isPrimary": true,
"age": 123,
"name": "<string>",
"lastName": "<string>",
"email": "<string>",
"externalId": "<string>",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": [
"<string>"
],
"levelNin": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<string>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {}
}
}
},
"alertItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": true,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {}
}
}
}
},
"alertItemHasErrors": true
},
"sort": [
{}
],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": true
}
'import requests
url = "https://api.artu.ai/alerts/{alertId}/clients"
payload = {
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"isPrimary": True,
"age": 123,
"name": "<string>",
"lastName": "<string>",
"email": "<string>",
"externalId": "<string>",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": ["<string>"],
"levelNin": ["<string>"]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopeData": { "MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": { "username": "<string>" },
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {} }
} },
"alertItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": True,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {} }
} }
},
"alertItemHasErrors": True
},
"sort": [{}],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
search: '<string>',
isPrimary: true,
age: 123,
name: '<string>',
lastName: '<string>',
email: '<string>',
externalId: '<string>',
metadataFilters: [{key: '<string>', value: '<string>'}],
riskAssessment: {
name: '<string>',
eq: 123,
gt: 123,
gte: 123,
lt: 123,
lte: 123,
levelIn: ['<string>'],
levelNin: ['<string>']
},
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
tagIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scopeData: {
MX: {
rfc: '<string>',
curp: '<string>',
actividadVulnerable: {
ARI: {},
AVI: {username: '<string>'},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {}}
}
},
alertItem: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
alertId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
transactionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hasErrors: true,
clientNames: '<string>',
transactionAmount: 123,
transactionCurrency: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
alertDescription: '<string>',
ARI: {},
AVI: {},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {}}
}
}
},
alertItemHasErrors: true
},
sort: [{}],
cursor: '<string>',
offset: 4503599627370495,
limit: 20,
includeTotalCount: true
})
};
fetch('https://api.artu.ai/alerts/{alertId}/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/alerts/{alertId}/clients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'search' => '<string>',
'isPrimary' => true,
'age' => 123,
'name' => '<string>',
'lastName' => '<string>',
'email' => '<string>',
'externalId' => '<string>',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'riskAssessment' => [
'name' => '<string>',
'eq' => 123,
'gt' => 123,
'gte' => 123,
'lt' => 123,
'lte' => 123,
'levelIn' => [
'<string>'
],
'levelNin' => [
'<string>'
]
],
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'tagIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'scopeData' => [
'MX' => [
'rfc' => '<string>',
'curp' => '<string>',
'actividadVulnerable' => [
'ARI' => [
],
'AVI' => [
'username' => '<string>'
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
]
]
]
],
'alertItem' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'alertId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'transactionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hasErrors' => true,
'clientNames' => '<string>',
'transactionAmount' => 123,
'transactionCurrency' => '<string>',
'transactionDate' => '2023-11-07T05:31:56Z',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'alertDescription' => '<string>',
'ARI' => [
],
'AVI' => [
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
]
]
]
]
],
'alertItemHasErrors' => true
],
'sort' => [
[
]
],
'cursor' => '<string>',
'offset' => 4503599627370495,
'limit' => 20,
'includeTotalCount' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/alerts/{alertId}/clients"
payload := strings.NewReader("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"isPrimary\": true,\n \"age\": 123,\n \"name\": \"<string>\",\n \"lastName\": \"<string>\",\n \"email\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/alerts/{alertId}/clients")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"isPrimary\": true,\n \"age\": 123,\n \"name\": \"<string>\",\n \"lastName\": \"<string>\",\n \"email\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/alerts/{alertId}/clients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"isPrimary\": true,\n \"age\": 123,\n \"name\": \"<string>\",\n \"lastName\": \"<string>\",\n \"email\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": true,
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
},
"email": "<string>",
"phone": "<string>",
"age": 0,
"addresses": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {
"localidad": "<unknown>"
}
}
},
"US": "<unknown>"
}
}
],
"contactMethods": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "MX",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"documents": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"linkedClients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationshipType": "legal_representative",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [
null
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": "<unknown>",
"employeeId": "<unknown>",
"position": "<unknown>",
"department": "<unknown>",
"startDate": "<unknown>"
},
"scopeData": {
"MX": "<unknown>",
"US": "<unknown>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"alertItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertItemValidationErrors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>",
"severity": "error",
"resource": "alert",
"resourceId": "<string>",
"label": "<string>",
"sdkField": "<string>",
"parentClientId": "<string>"
}
],
"alertItemScopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"amendment": {
"originalReference": "<string>",
"reason": "<string>"
},
"ARI": {
"alertType": "100"
},
"AVI": {
"alertType": "100"
},
"INM": {
"alertType": "100"
},
"JYS": {
"alertType": "100"
},
"MJR": {
"alertType": "100"
},
"MPC": {
"alertType": "100"
},
"TSC": {
"alertType": "100"
},
"VEH": {
"alertType": "100"
}
},
"cnbv": {
"TRANSMISOR": {
"fechaDeteccion": "2023-11-07T05:31:56Z",
"descripcionOperacion": "<string>",
"razones": "<string>"
}
}
},
"US": "<unknown>"
},
"alertItemMetadata": {},
"alertItemCreatedAt": "2023-11-07T05:31:56Z",
"linkedTransactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 0
}
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Body
application/json
Was this page helpful?
